package io.renren.dao;

import io.renren.entity.SysPeople;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人员管理Mapper接口
 *
 * @author nichun
 * @date 2023-03-08
 */
@Mapper
public interface SysPeopleMapper
{
    /**
     * 查询人员管理
     *
     * @param id 人员管理主键
     * @return 人员管理
     */
    public SysPeople selectSysPeopleById(Long id);

    /**
     * 查询人员管理列表
     *
     * @param sysPeople 人员管理
     * @return 人员管理集合
     */
    public List<SysPeople> selectSysPeopleList(SysPeople sysPeople);

    /**
     * 新增人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int insertSysPeople(SysPeople sysPeople);

    /**
     * 修改人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int updateSysPeople(SysPeople sysPeople);

    /**
     * 删除人员管理
     *
     * @param id 人员管理主键
     * @return 结果
     */
    public int deleteSysPeopleById(Long id);

    /**
     * 批量删除人员管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPeopleByIds(Long[] ids);

    SysPeople selectByGuid(SysPeople sysPeople);


    SysPeople selectSysPeopleByUserId(Long userId);

    SysPeople selectSysPeopleByBranchUser(@Param("branchName") String branchName,@Param("userName") String userName);

    public SysPeople selectSysPeopleByOpenId(String openid);

    public SysPeople selectSysPeopleByIdPwd(SysPeople sysPeople);
}
